SQ(1)

NAME
sq autocrypt encode-sender - Encode a certificate into an Autocrypt header

SYNOPSIS
sq autocrypt encode-sender [OPTIONS] FILE

DESCRIPTION
Encode a certificate into an Autocrypt header.

A certificate can be encoded and included in a header of an email message. This command encodes the certificate, adds the senders email address (which must match the one used in the `From` header), and the senders `prefer-encrypt` state (see the Autocrypt spec for more information).

The converse operation is `sq autocrypt decode`.

OPTIONS

  Subcommand options

--email=ADDRESS
    Set the address [default: primary userid]

-o, --output=FILE
    Write to FILE or stdout if omitted

    [default: -]

--prefer-encrypt=PREFER-ENCRYPT
    Set the prefer-encrypt attribute

    [default: nopreference]

    [possible values: nopreference, mutual]

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Encodes a certificate

    sq autocrypt encode-sender juliet.pgp

Encodes a certificate with an explicit sender address

    sq autocrypt encode-sender --email juliet@example.org juliet.pgp

Encodes a certificate while indicating the willingness to encrypt

    sq autocrypt encode-sender --prefer-encrypt mutual juliet.pgp

SEE ALSO
sq(1), sq-autocrypt(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)